Bug 985996 - [abrt] gnome-shell-3.9.4-1.fc20: _st_theme_get_matched_properties: Process /usr/bin/gnome-shell was killed by signal 7 (SIGBUS)
[abrt] gnome-shell-3.9.4-1.fc20: _st_theme_get_matched_properties: Process /u...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:9274073104824f0def03eb0f923...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 13:19 EDT by Nicolas Mailhot
Modified: 2015-06-29 08:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.87 KB, text/plain)
2013-07-18 13:19 EDT, Nicolas Mailhot
no flags Details
File: cgroup (159 bytes, text/plain)
2013-07-18 13:19 EDT, Nicolas Mailhot
no flags Details
File: core_backtrace (7.16 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: dso_list (23.61 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: environ (1.65 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: maps (132.52 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: open_fds (3.46 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-07-18 13:20 EDT, Nicolas Mailhot
no flags Details
File: backtrace (59.54 KB, text/plain)
2013-07-18 17:13 EDT, Adam Williamson
no flags Details

  None (edit)
Description Nicolas Mailhot 2013-07-18 13:19:47 EDT
Version-Release number of selected component:
gnome-shell-3.9.4-1.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _st_theme_get_matched_properties
executable:     /usr/bin/gnome-shell
kernel:         3.11.0-0.rc0.git3.1.fc20.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Fichier binaire /var/log/messages concordant

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _st_theme_get_matched_properties at st/st-theme.c:1000
 #1 ensure_properties at st/st-theme-node.c:471
 #3 _st_theme_node_ensure_background at st/st-theme-node.c:1903
 #4 st_theme_node_paint_equal at st/st-theme-node.c:3838
 #5 st_widget_recompute_style at st/st-widget.c:1639
 #6 clutter_actor_set_mapped at /lib64/libclutter-1.0.so.0
 #7 clutter_actor_update_map_state at /lib64/libclutter-1.0.so.0
 #8 clutter_actor_add_child at /lib64/libclutter-1.0.so.0
 #9 st_bin_set_child at st/st-bin.c:445
 #10 object_set_property at gobject.c:1363
Comment 1 Nicolas Mailhot 2013-07-18 13:19:52 EDT
Created attachment 775414 [details]
File: backtrace
Comment 2 Nicolas Mailhot 2013-07-18 13:19:56 EDT
Created attachment 775415 [details]
File: cgroup
Comment 3 Nicolas Mailhot 2013-07-18 13:20:00 EDT
Created attachment 775416 [details]
File: core_backtrace
Comment 4 Nicolas Mailhot 2013-07-18 13:20:04 EDT
Created attachment 775417 [details]
File: dso_list
Comment 5 Nicolas Mailhot 2013-07-18 13:20:11 EDT
Created attachment 775418 [details]
File: environ
Comment 6 Nicolas Mailhot 2013-07-18 13:20:15 EDT
Created attachment 775419 [details]
File: limits
Comment 7 Nicolas Mailhot 2013-07-18 13:20:25 EDT
Created attachment 775420 [details]
File: maps
Comment 8 Nicolas Mailhot 2013-07-18 13:20:29 EDT
Created attachment 775421 [details]
File: open_fds
Comment 9 Nicolas Mailhot 2013-07-18 13:20:33 EDT
Created attachment 775422 [details]
File: proc_pid_status
Comment 10 Adam Williamson 2013-07-18 17:13:06 EDT
Don't recall that I did anything specific to trigger this, just happened in a running session.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _st_theme_get_matched_properties
executable:     /usr/bin/gnome-shell
kernel:         3.11.0-0.rc1.git0.1.fc20.x86_64
package:        gnome-shell-3.9.4-1.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 7 (SIGBUS)
runlevel:       N N
uid:            1001
Comment 11 Adam Williamson 2013-07-18 17:13:10 EDT
Created attachment 775507 [details]
File: backtrace
Comment 12 P. A. López-Valencia 2013-07-25 08:42:39 EDT
The crash happened immediately after trying to close a gnome-terminal window by clicking on the frame's close button. It did close but mutter died and the whole shell froze, dying and restarting on its own after a good 20 seconds.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _st_theme_get_matched_properties
executable:     /usr/bin/gnome-shell
kernel:         3.11.0-0.rc2.git1.1.fc20.x86_64
package:        gnome-shell-3.9.4-1.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 7 (SIGBUS)
runlevel:       unknown
uid:            1000
Comment 13 Adam Williamson 2013-08-01 14:33:03 EDT
Happened when I hit super to bring up the overview and started typing 'virt' to search for virt-manager; not sure if it crashed right on the overview access or during the typing.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _st_theme_get_matched_properties
executable:     /usr/bin/gnome-shell
kernel:         3.11.0-0.rc3.git0.1.fc20.x86_64
package:        gnome-shell-3.9.4-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 7 (SIGBUS)
runlevel:       N N
uid:            1001
Comment 14 Fedora End Of Life 2013-09-16 10:37:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Fedora End Of Life 2015-05-29 05:11:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 08:06:05 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.